=== debian/changelog ===
eximdoc4 (4.93.0.3-1) unstable; urgency=medium

  * New upstream release.
    + 0015_accept_three_parts_revision.diff: Accept major.minor.revision.fixes
      version number.
    + Unfuzz 0010-fixbrokenlinks.diff.
  * Use debhelper 12 compat level.
  * Shorten debian/rules by two lines, use --builddirectory option.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Dec 2019 08:32:55 +0100
