## eximdoc4 4.94

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # Make file for Exim documentation from xfpt source.
+# Copyright (c) The Exim Maintainers 2020
+export LC_ALL=C
 
 notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
 	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'html', 'txt', or 'info'."
