=== debian/changelog ===
eximdoc4 (4.94-1) unstable; urgency=low

  * New upstream version (4.94 + fixes up to
    0e8319c3edebfec2158fbaa4898af27cb3225c99)
    + Refresh 0001-Make-docbook2texi-executable-name-configurable.patch,
      0003-Set-info-filename.patch.
    + Drop 0015_accept_three_parts_revision.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jun 2020 10:07:26 +0200
