=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
  docbook-xml, docbook-xsl
 Homepage: https://www.exim.org/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
