## eximdoc4 4.94.2

=== debian/changelog ===
eximdoc4 (4.94.2-1) unstable; urgency=medium

  * New upstream security release, based on +fixes branch.
    + Drop 0000_fixes_2020-12-23.diff.
  * 0000-update-doc.patch: Add documentation for allow_insecure_tainted_data
    option.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 May 2021 17:56:27 +0200

eximdoc4 (4.94-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + exim4-doc-html, exim4-doc-info: Add Multi-Arch: foreign.

  [ Andreas Metzler ]
  * 0000_fixes_2020-12-23.diff: Update to
    exim-4.94+fixes/2020-12-23/f8f129d658e8b2e25714b09737c47623ebf2ed2f.
  * Use watchfile v4 standard.
  * Use dh v13 mode.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 10 Jan 2021 08:50:42 +0100
