=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
  Andreas Metzler <ametzler@debian.org>
-Build-Depends: texinfo, debhelper-compat (= 12), xfpt, docbook2x,
+Build-Depends: texinfo, debhelper-compat (= 13), xfpt, docbook2x,
  libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
  libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
  docbook-xml, docbook-xsl
 Homepage: https://www.exim.org/
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
@@ -18,6 +18,7 @@
 Depends: ${misc:Depends}
 Replaces: eximdoc4-info
 Architecture: all
+Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in info format
  Contains specification and filtering documentation in info format.
  .
@@ -39,6 +40,7 @@
 Depends: ${misc:Depends}
 Replaces: eximdoc4-html
 Architecture: all
+Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in html format
  Contains specification and filtering documentation in HTML format.
  .
