## eximdoc4 4.96

=== debian/changelog ===
eximdoc4 (4.96-1) unstable; urgency=medium

  * New upstream version.
    + Drop 75*.patch.
    + Unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 24 Jul 2022 13:36:52 +0200

eximdoc4 (4.95-1) unstable; urgency=medium

  * Run wrap-and-sort -ast.
  * New upstream version.
    + Drop 0000-update-doc.patch
    + Unfuzz patches.
  * Update exiqgrep docs.
    75_01-Utilities-fix-exiqgrep-perl-syntax-add-testcases.-Bu.patch
    75_02-Docs-markup-syntax.patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 14 Apr 2022 20:36:38 +0200
