=== debian/control ===
--- 
+++ 
@@ -2,21 +2,32 @@
 Section: doc
 Priority: optional
 Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
-Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
- Andreas Metzler <ametzler@debian.org>
-Build-Depends: texinfo, debhelper-compat (= 13), xfpt, docbook2x,
- libcss-minifier-xs-perl, libjavascript-minifier-xs-perl,
- libfile-slurp-perl, libxml-libxml-perl, libxml-libxslt-perl,
- docbook-xml, docbook-xsl
+Uploaders:
+ Marc Haber <mh+debian-packages@zugschlus.de>,
+ Andreas Metzler <ametzler@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ docbook-xml,
+ docbook-xsl,
+ docbook2x,
+ libcss-minifier-xs-perl,
+ libfile-slurp-perl,
+ libjavascript-minifier-xs-perl,
+ libxml-libxml-perl,
+ libxml-libxslt-perl,
+ texinfo,
+ xfpt,
 Homepage: https://www.exim.org/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
 
 Package: exim4-doc-info
-Depends: ${misc:Depends}
-Replaces: eximdoc4-info
+Depends:
+ ${misc:Depends},
+Replaces:
+ eximdoc4-info,
 Architecture: all
 Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in info format
@@ -37,8 +48,10 @@
  exim is a drop-in replacement for sendmail/mailq/rsmtp.
 
 Package: exim4-doc-html
-Depends: ${misc:Depends}
-Replaces: eximdoc4-html
+Depends:
+ ${misc:Depends},
+Replaces:
+ eximdoc4-html,
 Architecture: all
 Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in html format
