=== debian/changelog ===
eximdoc4 (4.97~RC2-1) unstable; urgency=medium

  * Drop ancient (2003) unversioned Replaces.
  * New upstream version.
    + Unfuzz patches.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Oct 2023 13:39:40 +0200
