## eximdoc4 4.98

=== debian/changelog ===
eximdoc4 (4.98-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 11 Jul 2024 13:48:25 +0200
