=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  texinfo,
  xfpt,
 Homepage: https://www.exim.org/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
@@ -26,8 +26,6 @@
 Package: exim4-doc-info
 Depends:
  ${misc:Depends},
-Replaces:
- eximdoc4-info,
 Architecture: all
 Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in info format
@@ -50,8 +48,6 @@
 Package: exim4-doc-html
 Depends:
  ${misc:Depends},
-Replaces:
- eximdoc4-html,
 Architecture: all
 Multi-Arch: foreign
 Description: documentation for the Exim MTA (v4) in html format
