## eximdoc4 4.99

=== doc-docbook/Makefile ===
--- 
+++ 
@@ -1,6 +1,15 @@
 # Make file for Exim documentation from xfpt source.
-# Copyright (c) The Exim Maintainers 2020 - 2021
+# Copyright (c) The Exim Maintainers 2020 - 2025
 export LC_ALL=C
+
+# Original
+DOCBOOK2TEXI=docbook2texi
+
+# Fedora
+DOCBOOK2TEXI_F=db2x_docbook2texi --encoding=UTF-8
+
+
+
 
 notarget:;    @echo "** You must specify a target, in the form x.y, where x is 'filter', 'spec',"
 	      @echo "** or 'test', and y is 'xml', 'fo', 'ps', 'pdf', 'txt', or 'info'."
@@ -14,11 +23,10 @@
 #
 # Generate all the documentation files...
 #
-## removed info files as I cannot generate them -  spec.info filter.info
 ## removed html files as superseded by new website code
-everything:		spec.pdf 	spec.ps  	spec.txt \
-				filter.pdf 	filter.ps filter.txt \
-				exim.8
+everything:	spec.pdf spec.ps spec.txt spec.info \
+		filter.pdf filter.ps filter.txt filter.info \
+		exim.8
 
 ############################## MAN PAGE ################################
 
@@ -109,7 +117,9 @@
 # work.
 
 filter.info:  filter-info.xml
-	      docbook2texi filter-info.xml
+	      [ -f /etc/redhat-release ] \
+		      && $(DOCBOOK2TEXI_F) filter-info.xml \
+		      || $(DOCBOOK2TEXI) filter-info.xml
 	      perl -ne 's/conceptindex/cindex/;s/optionindex/findex/;print;' \
 		<exim_filtering.texi | ./Tidytxt >filter.texinfo
 	      /bin/rm -rf exim_filtering.texi
@@ -200,7 +210,9 @@
 # work.
 
 spec.info:    spec-info.xml
-	      docbook2texi spec-info.xml
+	      [ -f /etc/redhat-release ] \
+		      && $(DOCBOOK2TEXI_F) spec-info.xml \
+		      || $(DOCBOOK2TEXI) spec-info.xml
 	      ./TidyInfo <the_exim_mta.texi >spec.texinfo
 	      /bin/rm -rf the_exim_mta.texi
 	      makeinfo -o spec.info --no-split spec.texinfo
@@ -285,7 +297,7 @@
 # work.
 
 test.info:    test-info.xml
-	      docbook2texi test-info.xml
+	      $(DOCBOOK2TEXI) test-info.xml
 	      ./TidyInfo <short_title.texi >test.texinfo
 	      /bin/rm -rf short_title.texi
 	      makeinfo -o test.info test.texinfo
