=== debian/changelog ===
eximdoc4 (4.99-1) unstable; urgency=medium

  * New upstream version.
    + Update/unfuzz patches.
  * Drop Rules-Requires-Root: no

 -- Andreas Metzler <ametzler@debian.org>  Sun, 09 Nov 2025 13:56:47 +0100
