=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
  texinfo,
  xfpt,
 Homepage: https://www.exim.org/
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/exim-team/eximdoc4.git
 Vcs-Browser: https://salsa.debian.org/exim-team/eximdoc4
