=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/_/~/ \
https://downloads.exim.org/exim4/exim-html-(\d.*)@ARCHIVE_EXT@
